Loading...
Searching...
No Matches
amp_settings.c File Reference
Amplifier API

Amplifier function/level/parameter interface. More...

`#include <hamlib/config.h>`
`#include <hamlib/rig.h>`
`#include <hamlib/amplifier.h>`
Include dependency graph for amp_settings.c:

## Functions

setting_t | amp_has_set_level (AMP *amp, setting_t level)
| Check which level settings can be set.
setting_t | amp_has_get_level (AMP *amp, setting_t level)
| Check which level settings can be queried.

## Detailed Description

Amplifier function/level/parameter interface.

Author
  Stephane Fillod

Date
  2000-2010

Author
  Mikael Nousiainen

Date
  2020

This Hamlib interface is a frontend implementing wrapper functions.